import argparse
import os

parser = argparse.ArgumentParser(
    description='SolarEnergy Python-based client')

parser.add_argument("--unsecure_origin", help="Change unsecure API origin", default="http://localhost:8080")
parser.add_argument("--storage", help="Change storage location", default="storage")

args = parser.parse_args()

args.secure_origin_path = os.path.join(args.storage, "SECURE_ORIGIN")
args.root_ca_path = os.path.join(args.storage, "root_ca.pem")
args.dev_priv_key_path = os.path.join(args.storage, "dev.key")
args.dev_csr_path = os.path.join(args.storage, "dev.csr")